commit:     898f4b2c70f689f9df03e68ae6674f23653fb9e4
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 21 05:45:48 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 21 05:45:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=898f4b2c

dev-ruby/rspec-expectations: Add rspec 3.7

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-ruby/rspec-expectations/Manifest               |  1 +
 .../rspec-expectations-3.7.0.ebuild                | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ruby/rspec-expectations/Manifest 
b/dev-ruby/rspec-expectations/Manifest
index 09733918707..9ebcef49e3a 100644
--- a/dev-ruby/rspec-expectations/Manifest
+++ b/dev-ruby/rspec-expectations/Manifest
@@ -3,3 +3,4 @@ DIST rspec-expectations-2.99.2-git.tgz 106884 SHA256 
4c1b38198d214ab2d4e297fdfbd
 DIST rspec-expectations-3.3.1-git.tgz 171117 SHA256 
a40feb73c5c54fd6464ca262af4be50ef9d5e4a785b5ae7862946da42837e112 SHA512 
fe0e5fc4e00c8d51866bc9699bc25b1e702c765c5443abbebe2f016833c6f09f9f8f35d86520b59d51ad0a196551f68c39a5ec707658826af838ed274f4986ff
 WHIRLPOOL 
5dc55d62ec1df5add711c07470d2d7020b875bf43a57788ceb84b05807ec9d3b2e395fde16f14c06d265e8c36b44e9a9c9da306c049a019289a1bc3d265e18e1
 DIST rspec-expectations-3.5.0-git.tgz 187600 SHA256 
edbd7dec2b1e685b12e3a14c3ea4d8bb3c5d82fe0f69afeea9c9f4d10da03c1d SHA512 
e6077549a028de0e34cdd50d93552ca3ee0f30bb550e9df20d391f287beb57070dcb3a5104627e7adb55689e7b102c91b7d3a3b944b8c4ff1235761140f2dce0
 WHIRLPOOL 
d173b832c43e723b0a46caa72f45fa27f8c611567eca544ad6e30e661ca32edca063ba4cd621fb411c527f64371b9e1c04b58192b330878704de2a47b31dc451
 DIST rspec-expectations-3.6.0-git.tgz 193897 SHA256 
7f36c884b771b0cd80ded906469fb51e23990de50cd19c59b1cd57512f296f1e SHA512 
5c784eff2c076623f471bcfff6e014420782c8d52ff54a68adc9b4d6b60a91726da36e3989535f4ab7f1fcc6b1e2a3c3a63ee330f8ea55f475711741762c0f07
 WHIRLPOOL 
3cf7b971d4a36ffb5015e823f7e25c3e566b1537d8f61adf371b167b04a80f90a486198bca0436cb9b42ce80bf638e4379583e4969771b509ea35239fc94f9e8
+DIST rspec-expectations-3.7.0-git.tgz 194071 SHA256 
b936be3a5483de4854cf6012e506f14fa204c0c481545f3a54108e08a262eabd SHA512 
bdd3222089299e9bfdd6f17a2b8af81d5e695290a3ce976630d586d51ff2df5baf76a3887b8adb31294bd6623ba85f8c2a4a31ac520046515aeeb81fa3a1bd5a
 WHIRLPOOL 
5ef85b702f0d83bcbcf873cacc958c1216fc81be3f28327b5706f367f500d3a85e0ed391bba19a27117b757a2bd78bf2672f65e4a8c727f282ca6aa11918fe2a

diff --git a/dev-ruby/rspec-expectations/rspec-expectations-3.7.0.ebuild 
b/dev-ruby/rspec-expectations/rspec-expectations-3.7.0.ebuild
new file mode 100644
index 00000000000..39b3e307567
--- /dev/null
+++ b/dev-ruby/rspec-expectations/rspec-expectations-3.7.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-expectations";
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE=""
+
+SUBVERSION="$(get_version_component_range 1-2)"
+
+ruby_add_rdepend ">=dev-ruby/diff-lcs-1.2.0 <dev-ruby/diff-lcs-2
+       =dev-ruby/rspec-support-${SUBVERSION}*"
+
+ruby_add_bdepend "test? (
+               >=dev-ruby/rspec-mocks-3.2.0:3
+               >=dev-ruby/rspec-support-3.5.0:3
+       )"
+
+all_ruby_prepare() {
+       # Don't set up bundler: it doesn't understand our setup.
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+
+       # Remove the Gemfile to avoid running through 'bundle exec'
+       rm -f Gemfile || die
+
+       # fix up the gemspecs
+       sed -i \
+               -e '/git ls/d' \
+               -e '/add_development_dependency/d' \
+               "${RUBY_FAKEGEM_GEMSPEC}" || die
+}

Reply via email to